WITH json_data AS (
SELECT parse_json(EVENT) AS json_data FROM {{ source('DATASCIENCE', 'WALMART') }}
)
SELECT json_data:ID AS ID,
json_data:cat_id AS cat_id,
json_data:date AS date,
json_data:dept_id AS dept_id,
json_data:item_id AS item_id,
cast(json_data:sales as integer) AS sales,
json_data:state_id AS state_id,
json_data:store_id AS store_id
FROM json_data