import dotenv
from src.azure_utils import AzureBlob

# Upload data:
blob = AzureBlob(
    connection_string=dotenv.get_key(".env", "CONNECTION_STRING"),
)
container = "data-science"
blob.list(container)
blob.upload(
    container=container,
    name="WALMART/sales.parquet",
    source_file="data/Walmart/sales.parquet",
    overwrite=True,
)
