import polars as pl

url = "https://www.kaggleusercontent.com/kf/94314780/eyJhbGciOiJkaXIiLCJlbmMiOiJBMTI4Q0JDLUhTMjU2In0..9blzybmVaUquEonG3yMrfg.8Sn_JHj8LvEuSWp7YeiSlcq_p_uXdm86I7FlT9_6t4XcPd_m743I1IiTu4ZT_JMCYutq6yDlkFlrYnQtiFf_6ffuQWT-LYuIU1w3DqLy3QhPej1XDLom4KM5tmNIo06TQlW-aeM2WWwaEWZTsHDc-sJUpPnpR9HDmUBsh7bflqmf47u_LaFC_dkcy20T_AiiqMXis6d-BbrW5NVNa2tBa-nZD0-AxmMuMTO0w2ZXUIbkSLb-CZrdR_l9tGRUfMb0ZoBeTgNSE7zLOYiumVWdi1zV1nb9oOUat5W1GeoLcm9DoZoo80a53oPRTfAt9R8aRuvz5znH_tFOVSkN8rLQVUiW78TNT2sygXoucYt9HJYfBvzRMUMcUsOhMn4ZSfqI-sgTelV5KuZe_bhJQqCTRm64rTAH_DVt67RZxjuQgJZNXWVf6XZQ2yMSqu_cUdEi-2ZE7nbh78ZpF3eZsXs6ESKlBYGKxHWS_6VinyWvqbv94QIO-UZxp9QHy6fkq9_zk3s6xTX_-cAB3HdWSSUFIDXBRnKhattGlQNUmTNYE9vPRWlMMUz8dA-pvR_FQ-0t7GoEriBkVVTRsPfi4uXyItWjCnQHeWP7vCZYg_6pBjeEJTUjQN4Eh3OpWOJLUI2lCeHCjozAl6QGoq8LqeRNLgirEucCLUvbX7KkCUaqh3w.2HkCOD9OZPbCUHCFC2pqKA/clean_data.csv"
df = pl.read_csv(url)

df.with_columns(
    [
        pl.concat_str(
            [
                pl.lit("S"),
                pl.col("Store").cast(str),
                pl.lit("_"),
                pl.lit("D"),
                pl.col("Dept").cast(str),
            ]
        ).alias("ID"),
        pl.col("Date").str.strptime(pl.Date),
    ]
).select(
    [
        "ID",
        "Date",
        "Store",
        "Dept",
        "Weekly_Sales",
    ]
).write_parquet(
    "data/Wallmart/sales.parquet"
)
